/* ============================================================================
 * File Name: Button_sw_01.c
 *   Development version of the Button_SW component
 *
 * Description:
 *   Demo project of button swich detection using  
 *   vertical counters algorithm
 *   Uses polling technique.
 *
 * Credits:
 *   based on vertical counters algorithm
 *    https://www.compuphase.com/electronics/debouncing.htm
 *
 * Note:
 *
 * ============================================================================
 * PROVIDED AS-IS, NO WARRANTY OF ANY KIND, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * FREE TO SHARE, USE AND MODIFY UNDER TERMS: CREATIVE COMMONS - SHARE ALIKE
 * ============================================================================
*/





#include <project.h>
#include <button_sw.h>


#define BlinkLED1(); {Pin_LED1_Write(0); CyDelayUs(230); Pin_LED1_Write(1);} // blink LED indicator


//============================================
// Global variables
//============================================

//============================================
// Forward declarations
//============================================


void Initialize(void)
{   
    CyGlobalIntEnable; //enable global interrupts.
    BTN1_Start();
}


int main()
{
    
    Initialize();
    
    
    for(;;) 
    {
                
        if (BTN1_BtnPressed!=0)
        {
            BlinkLED1();    // some action
            //CyDelay(500); // debug..
        }
        
        //if (BTN1_BtnReleased!=0)
        //{
        //    BlinkLED1();    // some action    
        //}
         
    }
    
} //main



/// END OF PROGRAM //////////////////////////////////////////////////////////////////////////////////////

